SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Wireshark Vendors:   Wireshark.org
Wireshark SMTP Dissector Bug Lets Remote Users Deny Service
SecurityTracker Alert ID:  1021275
SecurityTracker URL:  http://securitytracker.com/id/1021275
CVE Reference:   CVE-2008-5285   (Links to External Site)
Updated:  Dec 3 2008
Original Entry Date:  Nov 24 2008
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.0.4, possibly other versions
Description:   A vulnerability was reported in Wireshark. A remote user can cause denial of service conditions.

A remote user can send specially crafted SMTP data to cause the target service to enter a "large loop".

Security Vulnerability Research Team of Bkis (SVRT-Bkis) reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fix, available via SVN.
Vendor URL:  www.wireshark.org/ (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 4 2009 (Red Hat Issues Fix) Wireshark SMTP Dissector Bug Lets Remote Users Deny Service
Red Hat has released a fix for Red Hat Enterprise Linux 3, 4, and 5.



 Source Message Contents

Subject:  [SVRT-04-08] Vulnerability in WireShark 1.0.4 for DoS Attack

Vulnerability in WireShark 1.0.4 for DoS Attack

1. General Information

On Nov 2008, Security Vulnerability Research Team of Bkis (SVRT-Bkis) has
detected a vulnerability underlying WireShark 1.0.4 (lastest version).

The flaw is in the function processing SMTP protocol and enables hacker to
perform a DoS attack by sending a SMTP request with large content to port
25. The application then enter a large loop and cannot do anything else.

We have contacted the vendor of Wireshark. They fixed this vulnerability for
Wireshark 1.0.5 but they haven't released the official version yet. Details
is here : http://wiki.wireshark.org/Development/Roadmap

SVRT Advisory              : SVRT-04-08
Initial vendor notification  : 11-14-2008
Release Date                   : 11-22-2008
Update Date                   : 11-22-2008
Discovered by                 : SVRT-Bkis
Security Rating                : Less Critical
Impact                            : DoS
Affected Software           :Wireshark 1.0.4 (prev is vulnerable)

2. Solution

Althrough the official version for this vulnerability hasn't been released
yet, the vendor has updated the fix in the prerelease Wireshark 1.0.5.

Download the prerelease version of Wireshark 1.0.5 here:
http://www.wireshark.org/download/prerelease/

----------------------------------------------------------------
Bach Khoa Internetwork Security Center (BKIS)
Hanoi University of Technology (Vietnam)
Office : 5th Floor, Hitech building - 1A Dai Co Viet, Hanoi
Email : svrt[at]bkav.com.vn
Website : www.bkav.com.vn
WebBlog : security.bkis.vn
---------------------------------------------------------------- 



 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC